Eclipse Platform Release 3.7

## org.eclipse.update.core.model
Class SiteModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.SiteModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  Site

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class SiteModel

extends ModelObject

Site model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `Site`

Constructor Summary
`SiteModel()` Deprecated. Creates an uninitialized site model object.

Method Summary
`void` `addArchiveReferenceModel(ArchiveReferenceModel archiveReference)` Deprecated. Adds an archive reference model to site.
`void` `addCategoryModel(CategoryModel category)` Deprecated. Adds a category model to site.
`void` `addFeatureReferenceModel(SiteFeatureReferenceModel featureReference)` Deprecated. Adds a feature reference model to site.
`void` `addMirrorModel(URLEntryModel mirror)` Deprecated. Adds a mirror site.
`ArchiveReferenceModel[]` `getArchiveReferenceModels()` Deprecated. Returns an array of plug-in and non-plug-in archive reference models on this site
`CategoryModel[]` `getCategoryModels()` Deprecated. Returns an array of category models for this site.
`org.eclipse.update.internal.model.ConfiguredSiteModel` `getConfiguredSiteModel()` Deprecated.
`URLEntryModel` `getDescriptionModel()` Deprecated. Returns the site description.
`SiteFeatureReferenceModel[]` `getFeatureReferenceModels()` Deprecated. Returns an array of feature reference models on this site.
`URL` `getLocationURL()` Deprecated. Returns the resolved URL for the site.
`String` `getLocationURLString()` Deprecated. Returns the unresolved URL string for the site.
`URLEntryModel[]` `getMirrorSiteEntryModels()` Deprecated. Return an array of updat site mirrors
`protected String` `getPropertyName()` Deprecated. Method getPropertyName.
`String` `getType()` Deprecated. Returns the site type.
`void` `markReadOnly()` Deprecated. Marks the model object as read-only.
`void` `removeArchiveReferenceModel(ArchiveReferenceModel archiveReference)` Deprecated. Removes an archive reference model from site.
`void` `removeCategoryModel(CategoryModel category)` Deprecated. Removes a category model from site.
`void` `removeFeatureReferenceModel(FeatureReferenceModel featureReference)` Deprecated. Removes a feature reference model from site.
`void` `removeMirror(URLEntryModel mirror)` Deprecated. Removes a mirror from site.
`void` `resolve(URL base, URL bundleURL)` Deprecated. Resolve the model object.
`void` `setArchiveReferenceModels(ArchiveReferenceModel[] archiveReferences)` Deprecated. Sets the archive references for this site.
`void` `setCategoryModels(CategoryModel[] categories)` Deprecated. Sets the site categories.
`void` `setConfiguredSiteModel(org.eclipse.update.internal.model.ConfiguredSiteModel configuredSiteModel)` Deprecated.
`void` `setDescriptionModel(URLEntryModel description)` Deprecated. Sets the site description.
`void` `setFeatureReferenceModels(FeatureReferenceModel[] featureReferences)` Deprecated. Sets the feature references for this site.
`void` `setLocationURLString(String locationURLString)` Deprecated. Sets the unresolved URL for the site.
`void` `setMirrorSiteEntryModels(URLEntryModel[] mirrors)` Deprecated. Sets additional mirror sites Throws a runtime exception if this object is marked read-only.
`void` `setMirrorsURLString(String mirrorsURL)` Deprecated. Sets the mirrors url.
`void` `setType(String type)` Deprecated. Sets the site type.

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteModel

    public SiteModel()

  Deprecated.
  Creates an uninitialized site model object.

  Since:
    2.0

Method Detail

### getType

    public String getType()

  Deprecated.
  Returns the site type.

  Returns:
    site type, or `null`.
  Since:
    2.0

### getDescriptionModel

    public URLEntryModel getDescriptionModel()

  Deprecated.
  Returns the site description.

  Returns:
    site description, or `null`.
  Since:
    2.0

### getFeatureReferenceModels

    public SiteFeatureReferenceModel[] getFeatureReferenceModels()

  Deprecated.
  Returns an array of feature reference models on this site.

  Returns:
    an array of feature reference models, or an empty array.
  Since:
    2.0

### getArchiveReferenceModels

    public ArchiveReferenceModel[] getArchiveReferenceModels()

  Deprecated.
  Returns an array of plug-in and non-plug-in archive reference models on this site

  Returns:
    an array of archive reference models, or an empty array if there are no archives known to this site.
  Since:
    2.0

### getCategoryModels

    public CategoryModel[] getCategoryModels()

  Deprecated.
  Returns an array of category models for this site.

  Returns:
    array of site category models, or an empty array.
  Since:
    2.0

### getLocationURLString

    public String getLocationURLString()

  Deprecated.
  Returns the unresolved URL string for the site.

  Returns:
    url string, or `null`
  Since:
    2.0

### getLocationURL

    public URL getLocationURL()

  Deprecated.
  Returns the resolved URL for the site.

  Returns:
    url, or `null`
  Since:
    2.0

### setType

    public void setType(String type)

  Deprecated.
  Sets the site type. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `type` - site type
  Since:
    2.0

### setDescriptionModel

    public void setDescriptionModel(URLEntryModel description)

  Deprecated.
  Sets the site description. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `description` - site description
  Since:
    2.0

### setFeatureReferenceModels

    public void setFeatureReferenceModels(FeatureReferenceModel[] featureReferences)

  Deprecated.
  Sets the feature references for this site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `featureReferences` - an array of feature reference models
  Since:
    2.0

### setArchiveReferenceModels

    public void setArchiveReferenceModels(ArchiveReferenceModel[] archiveReferences)

  Deprecated.
  Sets the archive references for this site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `archiveReferences` - an array of archive reference models
  Since:
    2.0

### setCategoryModels

    public void setCategoryModels(CategoryModel[] categories)

  Deprecated.
  Sets the site categories. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `categories` - an array of category models
  Since:
    2.0

### setLocationURLString

    public void setLocationURLString(String locationURLString)

  Deprecated.
  Sets the unresolved URL for the site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `locationURLString` - url for the site (as a string)
  Since:
    2.0

### addFeatureReferenceModel

    public void addFeatureReferenceModel(SiteFeatureReferenceModel featureReference)

  Deprecated.
  Adds a feature reference model to site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `featureReference` - feature reference model
  Since:
    2.0

### addArchiveReferenceModel

    public void addArchiveReferenceModel(ArchiveReferenceModel archiveReference)

  Deprecated.
  Adds an archive reference model to site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `archiveReference` - archive reference model
  Since:
    2.0

### addCategoryModel

    public void addCategoryModel(CategoryModel category)

  Deprecated.
  Adds a category model to site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `category` - category model
  Since:
    2.0

### addMirrorModel

    public void addMirrorModel(URLEntryModel mirror)

  Deprecated.
  Adds a mirror site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `mirror` - mirror model
  Since:
    3.1

### removeFeatureReferenceModel

    public void removeFeatureReferenceModel(FeatureReferenceModel featureReference)

  Deprecated.
  Removes a feature reference model from site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `featureReference` - feature reference model
  Since:
    2.0

### removeArchiveReferenceModel

    public void removeArchiveReferenceModel(ArchiveReferenceModel archiveReference)

  Deprecated.
  Removes an archive reference model from site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `archiveReference` - archive reference model
  Since:
    2.0

### removeCategoryModel

    public void removeCategoryModel(CategoryModel category)

  Deprecated.
  Removes a category model from site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `category` - category model
  Since:
    2.0

### removeMirror

    public void removeMirror(URLEntryModel mirror)

  Deprecated.
  Removes a mirror from site. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `mirror` - mirror to remove
  Since:
    3.1

### markReadOnly

    public void markReadOnly()

  Deprecated.
  Marks the model object as read-only.

  Overrides:
    `markReadOnly` in class `ModelObject`
  Since:
    2.0
  See Also:
    `ModelObject.isReadOnly()`

### resolve

    public void resolve(URL base,
                        URL bundleURL)
                 throws MalformedURLException

  Deprecated.
  Resolve the model object. Any URL strings in the model are resolved relative to the base URL argument. Any translatable strings in the model that are specified as translation keys are localized using the supplied resource bundle.

  Overrides:
    `resolve` in class `ModelObject`
  Parameters:
    `base` - URL
    `bundleURL` - resource bundle URL
  Throws:
    `MalformedURLException`
  Since:
    2.0

### getConfiguredSiteModel

    public org.eclipse.update.internal.model.ConfiguredSiteModel getConfiguredSiteModel()

  Deprecated.

### setConfiguredSiteModel

    public void setConfiguredSiteModel(org.eclipse.update.internal.model.ConfiguredSiteModel configuredSiteModel)

  Deprecated.

### getPropertyName

    protected String getPropertyName()

  Deprecated.
  Description copied from class: `ModelObject`
  Method getPropertyName.

  Overrides:
    `getPropertyName` in class `ModelObject`
  Returns:
    String
  See Also:
    `ModelObject.getPropertyName()`

### getMirrorSiteEntryModels

    public URLEntryModel[] getMirrorSiteEntryModels()

  Deprecated.
  Return an array of updat site mirrors

  Returns:
    an array of mirror entries, or an empty array.
  Since:
    3.1

### setMirrorSiteEntryModels

    public void setMirrorSiteEntryModels(URLEntryModel[] mirrors)

  Deprecated.
  Sets additional mirror sites Throws a runtime exception if this object is marked read-only.

  Parameters:
    `mirrors` - additional update site mirrors
  Since:
    3.1

### setMirrorsURLString

    public void setMirrorsURLString(String mirrorsURL)

  Deprecated.
  Sets the mirrors url. Mirror sites will then be obtained from this mirror url later. This method is complementary to setMirrorsiteEntryModels(), and only one of these methods should be called. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `mirrorsURL` - additional update site mirrors
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.